PCONS(4)

NAME
pcons - SPARC64 PROM console interface

SYNOPSIS
pcons0 at mainbus0
wsdisplay* at pcons?

DESCRIPTION
The pcons device provides a simple text console, using the PROM services for input and/or output if no other driver handles this task. It will use the PROM console devices set via the “input-device” and “output-device” variables.

This driver is provided as a fallback console mechanism if the real console hardware can not be driven in OpenBSD.

FILES

/dev/console

SEE ALSO
intro(4), tty(4)

HISTORY
OpenBSD support for the PROM console first appeared in OpenBSD 3.0.

CAVEATS
If pcons handles console input, the PROM will handle break (or Stop-A) sequences before pcons. The preferred way to enter ddb(4) on a ddb-enabled pcons console is then to enter the following sequence : ‘+++++’